from pathlib import Path

from lib.objects.map import Map
from lib.preprocessing.generator import Generator

if __name__ == '__main__':
    data_root = Path() / 'data'
    maps_root = Path() / 'res' / 'maps'
    map_object = Map('Tate').from_image(maps_root / 'tate_sw.bmp')
    generator = Generator(data_root, map_object)
    generator.generate_n_trajectories_m_alternatives(100, 10, 'test')
